Package net.commoble.jumbofurnace.advancements

# Record Class AssembleJumboFurnaceTrigger.Criterion

java.lang.Object
java.lang.Record
net.commoble.jumbofurnace.advancements.AssembleJumboFurnaceTrigger.Criterion

All Implemented Interfaces:
  `net.minecraft.advancements.criterion.SimpleCriterionTrigger.SimpleInstance`, `net.minecraft.advancements.CriterionTriggerInstance`

Enclosing class:
  `AssembleJumboFurnaceTrigger`

public static record AssembleJumboFurnaceTrigger.Criterion(Optional<net.minecraft.advancements.criterion.ContextAwarePredicate> player) extends Record implements net.minecraft.advancements.criterion.SimpleCriterionTrigger.SimpleInstance

## Field Summary

Fields
Modifier and Type
Field
Description
`static final com.mojang.serialization.Codec<AssembleJumboFurnaceTrigger.Criterion>`
`CODEC`

## Constructor Summary

Constructors
Constructor
Description
`Criterion(Optional<net.minecraft.advancements.criterion.ContextAwarePredicate> player)`
Creates an instance of a `Criterion` record class.

## Method Summary

Modifier and Type
Method
Description
`final boolean`
`equals(Object o)`
Indicates whether some other object is "equal to" this one.
`final int`
`hashCode()`
Returns a hash code value for this object.
`Optional<net.minecraft.advancements.criterion.ContextAwarePredicate>`
`player()`
Returns the value of the `player` record component.
`final String`
`toString()`
Returns a string representation of this record class.

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface net.minecraft.advancements.criterion.SimpleCriterionTrigger.SimpleInstance

`validate`

## Field Details

### CODEC

public static final com.mojang.serialization.Codec<AssembleJumboFurnaceTrigger.Criterion> CODEC

## Constructor Details

### Criterion

public Criterion(Optional<net.minecraft.advancements.criterion.ContextAwarePredicate> player)
Creates an instance of a `Criterion` record class.

Parameters:
  `player` - the value for the `player` record component

## Method Details

### toString

public final String toString()
Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.

Specified by:
  `toString` in class `Record`
Returns:
  a string representation of this object

### hashCode

public final int hashCode()
Returns a hash code value for this object. The value is derived from the hash code of each of the record components.

Specified by:
  `hashCode` in class `Record`
Returns:
  a hash code value for this object

### equals

public final boolean equals(Object o)
Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with `Objects::equals(Object,Object)`.

Specified by:
  `equals` in class `Record`
Parameters:
  `o` - the object with which to compare
Returns:
  `true` if this object is the same as the `o` argument; `false` otherwise.

### player

public Optional<net.minecraft.advancements.criterion.ContextAwarePredicate> player()
Returns the value of the `player` record component.

Specified by:
  `player` in interface `net.minecraft.advancements.criterion.SimpleCriterionTrigger.SimpleInstance`
Returns:
  the value of the `player` record component